Get my profile
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/userProfile \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/userProfile"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/userProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatarUrl": "<string>",
"pendingEmailChange": true,
"readonly": true,
"role": "SYS_ADMIN",
"subscribed": true,
"timezone": "<string>",
"username": "<string>"
}User Profile
Get my profile
GET
/
api2
/
v1
/
userProfile
Get my profile
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Response
successful operation
Profile of the currently authenticated user
If user has email change pending (new email not verified)
If the identity is managed by an external identity provider (SSO/SCIM/SAML). When true, PUT /userProfile silently no-ops changes to firstName/lastName/email (returns 200 with the unchanged values).
Available options:
SYS_ADMIN, SYS_ADMIN_READ, ADMIN, PROJECT_MANAGER, LINGUIST, GUEST, SUBMITTER, PORTAL_MEMBER, BOT Default: true
Maximum string length:
255Was this page helpful?